/**
 * @license
 * Copyright (c) 2016 Łukasz Kurowski <crackcomm@gmail.com>
 */
import * as express from 'express';
import { Runtime, Registry } from 'escore-runtime';
export * from './middlewares';
export interface Options {
    /** Server listening port */
    port: number;
    /** Server middlewares options */
    middlewares: {
        [key: string]: any;
    };
}
export declare class Server {
    /** Express server */
    http: express.Application;
    /** Server and runtime options */
    opts: Options;
    /** Application modules */
    registry: Registry;
    /** Runtime */
    runtime: Runtime;
    /** Express middlewares */
    middlewares: ((opts?: any) => express.RequestHandler)[];
    constructor(opts: Options);
    /**
     * Starts server.
     */
    start(): void;
}
export declare function create(opts: Options): Server;
