/**
 * @license
 * Copyright (c) 2016 Łukasz Kurowski <crackcomm@gmail.com>
 */
"use strict";
const passport = require("passport");
const bodyParser = require("body-parser");
const cookieParser = require("cookie-parser");
const sessionParser = require("express-session");
/**
 * Default middlewares
 */
exports.middlewares = [
    // Cookies parser
    () => cookieParser(),
    // JSON body parser
    () => bodyParser.json(),
    // Form body parser
    () => bodyParser.urlencoded({ extended: false }),
    // Sessions parser
    () => sessionParser(),
    // Passport initialization
    () => passport.initialize(),
    // Passport session
    () => passport.session(),
];
